SYMPHONY(1)

NAME
symphony - mixed-integer linear program (MILP) solver

SYNOPSIS
symphony [ -hagrtbd ] [ -u ub ] [ -p procs ] [ -n rule ] [ -v level ] [ -s cands ] [ -c rule ] [ -k rule ] [ -m max ] [ -l pools ] [ -i iters ] [ -f parameter_file_name ] [-j 0/1] [-o tree_out_file]

DESCRIPTION
This manual page briefly documents the symphony command.

symphony is a generic MILP solver that can be invoked from the command line (through an interactive shell or in a batch mode), or by linking to the provided callable library. When no options are given symphony enters the interactive shell mode. Otherwise the program enters the batch mode, for which a summary of options is included below.

OPTIONS
At a minimum, one must specify the name of the file to be read and solved.

-h  help

-a  no cut timeout

-d  enable graph drawing

-g  use cut generator

-r  do repricing in root

-t  trim the tree

-b  don't perform branch and cut

-u ub
    use upper bound 'ub'

-p procs
    allow 'procs' active nodes

-n i
    use node selection rule 'i'

-v i
    set verbosity to level 'i'

-s cands
    use 'cands' candidates for strong branching

-k i
    use rule 'i' to select child

-m n
    allow a max of 'n' cuts to enter per iteration

-e n
    allow a max of 'n' cut pools

-l n k
    load balance level 'n' and iterations 'k'

-i n
    allow a max of 'n' iterations in presolve

-f file
    read parameters from parameter file 'file'

-j 0/1
    whether or not to generate cgl cuts

-z n
    set diving threshold to 'n'

-o file
    output vbc-like tree information to file 'file'

Solver-specific switches:

symphony [ -H ] [ -FL file ]

-H  help (solver-specific switches)

-F model
    model should be read in from file 'model' (MPS format is assumed unless -D is also present)

-L model
    LP format model should be read in from file 'model'

-D data
    model is in AMPL format and data is in file 'data'

SEE ALSO
For a complete description, see

/usr/share/doc/coinor-libsymphony-doc/user-guide.pdf.gz

in the coinor-libsymphony-doc package.

AUTHOR

symphony was written by Ted Ralphs et.al.

This manual page was written by Aramian Wasielak <aramian.wasielak@gmail.com>, based on "symphony -h" and clp.1, for the Debian project (but may be used by others).